Skip to main content
`Ctrl`+`K`

# PetscHMapIGetVals

Get all values from a hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIGetVals(PetscHMapI ht, PetscInt *off, PetscInt array[])

## Input Parameters

- ht - The hash table

- off - Input offset in array (usually zero)

- array - Array to put hash table values in

## Output Parameters

- off - Output offset in array (output offset = input offset + hash table size)

- array - Array filled with the hash table values

## See Also

`PetscHSetIGetSize()`, `PetscHMapIGetKeys()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages